# typed: false
module ComputeNilCounterCache
  extend T::Sig
  extend T::Helpers
  extend ActiveSupport::Concern
  abstract!

  requires_ancestor { ActiveRecord::Base }

  sig { params(association_name: Symbol).returns(T.untyped) }
  def self.[](association_name)
    Module.new do
      extend ActiveSupport::Concern
      included { before_create {} }
    end
  end
end
